
package com.tmerclub.cloud.payment.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * spu信息VO
 *
 * @author tmerclub
 * @date 2020-10-28 15:27:24
 */
public class RefundInfoExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "退款对账";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;
    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {0};

    @ExcelProperty(value = {"退款对账信息", "序号"}, index = 0)
    private String seq;

    @ExcelProperty({"退款对账信息", "店铺名称"})
    private String shopName;

    @ExcelProperty({"退款对账信息", "退款单号"})
    private String refundId;

    @ExcelProperty({"退款对账信息", "支付单号"})
    private String payId;

    @ExcelProperty({"退款对账信息", "关联订单号"})
    private String orderId;

    @ExcelProperty({"退款对账信息", "支付入口"})
    private String payEntry;

    @ExcelProperty({"退款对账信息", "支付方式"})
    private String payType;

    @ExcelProperty({"退款对账信息", "支付积分"})
    private String payScore;

    @ExcelProperty({"退款对账信息", "支付宝金额"})
    private String alipayAmount;

    @ExcelProperty({"退款对账信息", "微信金额"})
    private String wechatAmount;

    @ExcelProperty({"退款对账信息", "余额金额"})
    private String balanceAmount;

    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    @ExcelProperty({"退款对账信息", "退款时间"})
    private Date refundTime;

    public String getSeq() {
        return seq;
    }

    public void setSeq(String seq) {
        this.seq = seq;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getRefundId() {
        return refundId;
    }

    public void setRefundId(String refundId) {
        this.refundId = refundId;
    }

    public String getPayId() {
        return payId;
    }

    public void setPayId(String payId) {
        this.payId = payId;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getPayEntry() {
        return payEntry;
    }

    public void setPayEntry(String payEntry) {
        this.payEntry = payEntry;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public String getPayScore() {
        return payScore;
    }

    public void setPayScore(String payScore) {
        this.payScore = payScore;
    }

    public String getAlipayAmount() {
        return alipayAmount;
    }

    public void setAlipayAmount(String alipayAmount) {
        this.alipayAmount = alipayAmount;
    }

    public String getWechatAmount() {
        return wechatAmount;
    }

    public void setWechatAmount(String wechatAmount) {
        this.wechatAmount = wechatAmount;
    }

    public String getBalanceAmount() {
        return balanceAmount;
    }

    public void setBalanceAmount(String balanceAmount) {
        this.balanceAmount = balanceAmount;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    @Override
    public String toString() {
        return "RefundInfoExcelVO{" +
                "seq='" + seq + '\'' +
                ", shopName='" + shopName + '\'' +
                ", refundId=" + refundId +
                ", payId=" + payId +
                ", orderId=" + orderId +
                ", payEntry='" + payEntry + '\'' +
                ", payType='" + payType + '\'' +
                ", payScore='" + payScore + '\'' +
                ", alipayAmount='" + alipayAmount + '\'' +
                ", wechatAmount='" + wechatAmount + '\'' +
                ", balanceAmount='" + balanceAmount + '\'' +
                ", refundTime=" + refundTime +
                '}';
    }
}
